/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var categoryImage = ko.observable(true),
        products = ko.observableArray([]),
        keywordAnalysis = ko.observable(false),
        isRewrite = ko.observable(false),
        invalidImages = ko.observableArray([]),
        errorMessages = ko.observableArray([]),
        invalid = ko.observableArray([]),
        notSupported = ko.observableArray([]),
        downloadFailed = ko.observableArray([]),
        general = ko.observableArray([]);

    return {
        categoryImage: categoryImage,
        products: products,
        keywordAnalysis: keywordAnalysis,
        isRewrite: isRewrite,
        invalidImages: invalidImages,
        errorMessages: errorMessages,
        invalid: invalid,
        notSupported: notSupported,
        downloadFailed: downloadFailed,
        general: general
    };
});
